---
title: "GET /users/me - Users · RUAL Documentation"
description: "Retrieve the current authenticated user's profile"
canonical: https://docs.rual.nl/cluster/api/users/users-me-get
language: en
---

# GET /users/me

Retrieve the current authenticated user's profile

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "_meta": {
    "cms": 1782166695813,
    "created": 1782166695,
    "entity": 1,
    "expiry": 3600,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "removed": 0,
    "ums": 1782166695813,
    "update_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
    "updated": 1782166695
  },
  "custom_scopes": [
    "example"
  ],
  "email": "joe@example.com",
  "firstname": "Joe",
  "language": "en",
  "lastname": "Doe",
  "login_attempts": 1,
  "settings": [
    {
      "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "retries": 0
    }
  ],
  "timezone": "Europe/Amsterdam",
  "username": "joe",
  "websocket_id": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc"
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `users_me` | Required scope: users_me |
